import { Route } from '@angular/router';

import { ListComponent } from 'app/modules/admin/member/user/components/list.component';
import { ViewComponent } from 'app/modules/admin/member/user/components/view.component';

import { MemberResolver, ListMemberResolver } from './resolvers/user.resolver';

export const userRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      listmembers: ListMemberResolver,
      // listMemberLevels: MemberLevelsResolver,
      // listSite: SitesResolver,
      // listBanks: BanksResolver,
    },
  },
  {
    path: ':id',
    component: ViewComponent,
    resolve: {
      member: MemberResolver,
    },
  },
];
